import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  appointmentId: z.literal(true).optional(),
  patientId: z.literal(true).optional(),
  npiProviderId: z.literal(true).optional(),
  fee: z.literal(true).optional()
}).strict();
export const AppointmentProcedureSumAggregateInputObjectSchema: z.ZodType<Prisma.AppointmentProcedureSumAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.AppointmentProcedureSumAggregateInputType>;
export const AppointmentProcedureSumAggregateInputObjectZodSchema = makeSchema();
